Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Thread Contributor: mimi85lensfun reconnaissance objectifs
#31
Il y a un truc que je ne comprends pas bien, la première ligne c'est ça : <span class="pl-c">#!/usr/bin/env python3</span>

Cette ligne je la mets dans un nouveau fichier que je dois nommer lensfun-convert-lcp à la place de celui que j'ai téléchargé avec le lien de jpv?  ou bien je la recopie à la fin du fichier

De plus faut-il mettre les symboles #! devant?
Répondre
#32
Manu déjà merci pour ta patience, j'avais mal lu ton explication. J'ai bien créé un fichier avec de la première ligne à la dernière ligne que j'ai rendu executable. Par contre j'ai encore une erreur cette fois line993, in <module>

open(arg.output, "w").write(ElementTree.tostring(output, encoding="unicode"))

FileNotFondError: [Errno 2] No such file or directory: '/home/michel/.local/share/lensfun/_lcps.xml'

J'avais cru comprendre que le fichier _lcps.xml se crée tout seul (fichier résultat)

La nuit portant conseil, je regarderai ça de plus pr^et demain

Merci de ton aide.
Répondre
#33
Étrange!!!

As-tu lensfun installé?

Sinon tu dois pouvoir contourner le problème en faisant:
Citation :$ mkdir -p /home/michel/.local/share/lensfun/
 
--
Pascal - GNU/Debian (sid) - version darktable git/master
http://photos.obry.net
Répondre
#34
+1 avec Pascal, tu ne dois pas avoir le répertoire lensfun dans .local/share

=> la commande de Pascal ou avec le gestionnaire de Fichier dans ton "Dossier Personnel", tu presses Ctrl + h pour faire apparaître les dossiers/fichiers cachés (commençant par un .) et tu vas fans .local > share pour y créer un nouveau dossier nommé lensfun (sans . et sans majuscule).
Ubuntu 18.04 + dt 2.6 & Pentax K5 & K3-II + cailloux Pentax et Sigma

Répondre
#35
Je n'avais effectivement pas le dossier lensfun local/share. Je l'ai créer de façon graphique.

Une fois créer, je trouve bien le fichier _lcp en fin de process. Par contre DT ne le voit pas. Faut-il indiquer une chemin à DT, ou lier les deux dossiers lensfun (le nouveau et celui de usr/share)

De plus une bizarrerie, J'ai mis trois fichiers de mes objectifs manquants, (Sigma500, Tamron 17-50, et Nikon AF-S 35 f1.8), dans le fichier résultat il manque le Sigma. Par contre si je mets uniquement le fichier lcp à convertir, la il est bien converti.

 
Répondre
#36
Quelle version de lensfun as-tu ?

Code :
sudo dpkg -l | grep lensfun

Normalement, d'après cette page, c'est bien là qu'il faut mettre tes profils propres.
Ubuntu 18.04 + dt 2.6 & Pentax K5 & K3-II + cailloux Pentax et Sigma

Répondre
#37
Version 0.2.8 qui a du ^etre mise avec la mise à jour  2.0.6 de DT.

D'après le lien il y a trois endroits ou on peut trouver ce fichier _lcps.xml:
<pre class="fragment">/usr/share/lensfun/
/usr/local/share/lensfun/
~/.local/share/lensfun/

Je viens de créer un fichier dossier lensfun dans
/usr/local/share/lensfun/ qui n'existait pas, ......mais cela n'a rien changé.
Je précise que je relance DT après chaque modification de dossier.

</pre>
Répondre
#38
Bon ben il te reste
Code :
/usr/share/lensfun/
qui existe, ça c'est à peu près sûr ! ;-)
Ubuntu 18.04 + dt 2.6 & Pentax K5 & K3-II + cailloux Pentax et Sigma

Répondre
#39
Et pour installer la dernière version de lensfun (est-ce raisonnable ? je ne sais pas dire, je me contente de la version qui arrive avec DT stable du ppa:pmjdebruijn/darktable-release), il y a une explication en anglais ici.
Ubuntu 18.04 + dt 2.6 & Pentax K5 & K3-II + cailloux Pentax et Sigma

Répondre
#40
Bon j'ai regardé un peu et c'est pas gagné finalement Sad

Le script produit un modèle lensfun en version 2. Et du coup en console lorsque l'on démarre dt on peut voir que l'on reçois un message d'erreur disant que uniquement la version 1 est supportée.

Bon alors je fais un détour sur le site de lensfun et je ne trouve aucune référence à cette version 2 de base de donnée. Si on regarde de plus prêt le fichier XML on voit en effet que la description de la distorsion ne se fait par avec des coefs a, b, c mais avec des k1, k2, k3. Probablement pour utiliser une autre formule derrière car "model" est positionné à "acm" alors que les modèles lensfun standard sont "ptlens"...

A ce stade je pense effectivement que les modèles sont des version 2 (sans savoir ce que cela veut dire) et que lensfun n'a pas encore le support pour cette version... Ou alors ma version compilée pour GNU/Debian (la dernière pourtant v0.3.2) n'a pas le support pour cette version... ou une autre explication... ou...

Voilà, si quelqu'un a une idée pour avancer...
--
Pascal - GNU/Debian (sid) - version darktable git/master
http://photos.obry.net
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)